Bug 139 - configure.ac files don't export the used package CLFAGS and LIBS variable
Summary: configure.ac files don't export the used package CLFAGS and LIBS variable
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xlib (show other bugs)
Version: unspecified
Hardware: x86 (IA32) All
: high normal
Assignee: Jim Gettys
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-12 02:47 UTC by Luciano Montanaro
Modified: 2011-10-15 17:23 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Fix (some of) the configure scripts (4.88 KB, patch)
2003-11-12 02:49 UTC, Luciano Montanaro
no flags Details | Splinter Review

Description Luciano Montanaro 2003-11-12 02:47:41 UTC
There is a README that says that when using pkg-config,
the 

AC_SUBST(packagename_CFLAGS)
AC_SUBST(packagename_LIBS)

lines should be supplied in the configure.in (thus in configure.ac, in this 
case)

I did so for the packages at hand. 
From the Makefile.am and configure scripts, not all are strictly needed, 
but they may be, sometime, so I think it is better to be on the safe side.

As a side note, the AC_SUBST(X11_DATADIR) in the configure.ac is not needed 
according to the doc (it is always used as @X11_DATADIR@)
Comment 1 Luciano Montanaro 2003-11-12 02:49:07 UTC
Created attachment 69 [details] [review]
Fix (some of) the configure scripts
Comment 2 Jeremy Huddleston Sequoia 2011-09-27 10:18:52 UTC
Mass update: Close all bugs resolved over one year ago.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.